API
WebSocket API
Follow build logs and deployment changes live.
GET /api/v1/wsRequires authentication. Upgrades to WebSocket connection.
Client Messages
Subscribe to a channel:
{ "action": "subscribe", "channel": "build:<build-id>:logs" }Unsubscribe:
{ "action": "unsubscribe", "channel": "build:<build-id>:logs" }Server Messages
Log line:
{
"type": "log",
"channel": "build:<build-id>:logs",
"data": { "build_id": "uuid", "line": "Installing dependencies...", "timestamp": "..." }
}Status update:
{
"type": "status",
"channel": "build:<build-id>:logs",
"data": { "build_id": "uuid", "status": "building" }
}Available Channels
| Channel Pattern | Events |
|---|---|
build:<id>:logs | Build log lines, status changes |
deployments | Deployment status updates |